Upgrading Firefox for CQ5

Firefox 3.6 is no longer supported by Mozilla. If you still have Firefox 3.6, Mozilla will automatically upgrade you to Firefox 12 by early May.

Firefox 6-10 work with CQ5. We have yet to discover any new issues with Firefox 12 and CQ5, but please report any issues to us as (or if) they are identified.


Leave a Reply

Your email address will not be published. Required fields are marked *